<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">
        <div class="card-header bg-gray-200 text-primary d-flex bd-highlight mb-3">
            <div class="mr-auto p-2 bd-highlight">
                <i class="fa fa-bars text-primary"></i> {{TITLE}}
            </div>
            <button class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight" (click)="agregarCampos()">
                <i class="fa fa-plus-circle"></i> Mantenimiento de campos
            </button>
            <button style="margin-left: 1rem" class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight" (click)="agregar()">
                <i class="fa fa-plus-circle"></i> Crear lista
            </button>
        </div>
        <div class="card-body mt-4 p-0">

            <div class="row justify-content-center align-items-center text-primary">

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="form-group">
                        <label class="col-form-label">Listas:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-bars text-primary"></i></span>
                                </div>
                                <select [(ngModel)]="valueList" class="form-control">
                                    <option value="*" >Todas las listas</option>
                                    <option  *ngFor="let lc of listCatalog" value="{{ lc.id }}">{{ lc.nombre }}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="form-group">
                        <label class="col-form-label" for="institutionId">Responsable:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-user text-primary"></i></span>
                                </div>
                                <select [(ngModel)]="valueResp" id="institutionId" class="form-control">
                                    <option value="*" >Todos los responsables</option>
                                    <option  *ngFor="let rc of respCatalog" value="{{ rc.id }}">{{ rc.usuario }}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="form-group">
                        <label class="col-form-label">Fecha:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-calendar text-primary"></i></span>
                                </div>
                                <input [(ngModel)]="valueDate" class="form-control" type="date">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <button class="btn bg-primary rounded" (click)="buscarLista()">
                        <i class="fa fa-search"></i> Buscar
                    </button>
                </div>

            </div>
            <br>
            <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
                <thead class="bg-primary">
                <tr>
                    <th scope="col">IdLista</th>
                    <th scope="col">Descripción</th>
                    <th scope="col">Responsables</th>
                    <th scope="col">F. última carga</th>
                    <th scope="col" class="text-center">Estado</th>
                    <th scope="col">Observaciones</th>
                    <th scope="col">Acciones</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let list of listTable">
                    <td>{{ list.nombre }}</td>
                    <td>{{ list.descripcion }}</td>
                    <td>
                        <ngx-accordion>
                            <ngx-accordion-container>
                                <div class=" ngx-accordion-header ">
                                    <div style="color: #04447c; cursor: pointer">Ver detalle</div>
                                </div>
                                <br>
                                <div class="ngx-accordion-body">
                                    <p *ngFor="let item of list.responsables">{{ item.resp }}</p>
                                </div>
                            </ngx-accordion-container>
                        </ngx-accordion>
                    </td>
                    <td>{{ list.ultimaCarga | date: 'dd/MM/yyyy' }}</td>
                    <td *ngIf="list.estado === 'A'" class="text-center"><i class="fa fa-check-circle text-success fa-2x"></i></td>
                    <td *ngIf="list.estado === 'I'" class="text-center"><i class="fa fa-times text-danger fa-2x"></i></td>
                    <td>{{ list.observaciones }}</td>
                    <td>
                        <i class="fa fa-pencil-square-o text-info fa-2x" aria-hidden="true" style="cursor: pointer" title="Editar" (click)="editarLista(list)"></i>
                        <i class="fa fa-times text-danger fa-2x" aria-hidden="true" style="cursor: pointer" title="Eliminar" (click)="modalAnulation(anulationMSG, list.id)"></i>
                    </td>
                </tr>
                </tbody>
            </table>
            <br>

        </div>
    </div>
</div>

<ng-template #anulationMSG>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Justificación para dar de baja la lista</h5>
        </div>

        <div class="modal-body">

            <div class="form-group">
                <label class="col-form-label">Justificación:</label>
                <div class="controls">
                    <div class="input-prepend input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                        </div>
                        <input [(ngModel)]="motivo" type="text" class="form-control">
                    </div>
                </div>
            </div>
        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-primary rounded" (click)="darBajaLista()"><i class="fa fa-arrow-down"
                                                                                                        aria-hidden="true"></i>
                Eliminar
            </button>
            <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                <i class="fa fa-close" aria-hidden="true"></i> Cancelar
            </button>
        </div>
    </div>
</ng-template>
